// @ts-check
/** @type {import('@docusaurus/plugin-content-docs').SidebarsConfig} */
const sidebars = {
  docsSidebar: [
    'index',
    'start',
    {
      Guides: [
        'basics/navigation',
        'basics/customization',
        'basics/selecting-days',
        'basics/styling',
        'basics/localization'
      ]
    },
    {
      'Advanced Guides': [
        'guides/modifiers',
        'guides/formatters',
        'guides/input-fields',
        'guides/custom-components'
      ]
    }
  ],
  developmentSidebar: [
    'development/index',
    'development/source',
    'development/docs',
    'development/code-of-conduct',
    'changelog',
    'license'
  ],
  apiSidebar: [
    {
      type: 'autogenerated',
      dirName: 'api' // 'api' is the 'out' directory
    }
  ]
};

module.exports = sidebars;
